Bug 216056 - Sound does not work in FC6 on an Intel 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller
Sound does not work in FC6 on an Intel 82801EB/ER (ICH5/ICH5R) AC'97 Audio Co...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: sndconfig (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Martin Stransky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 19:07 EST by Dimi Paun
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 09:28:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of system-config-soundcard with kernel 2.6.17-1.2187-FC5 on FC5, sound OK (12.48 KB, text/plain)
2006-11-16 19:10 EST, Dimi Paun
no flags Details
Output of system-config-soundcard with kernel 2.6.18-1.2200-fc5 on FC5, sound ABSENT (13.10 KB, text/plain)
2006-11-16 19:11 EST, Dimi Paun
no flags Details
Output of system-config-soundcard with kernel 2.6.18-1.2798.fc6PAE on FC6, sound ABSENT (52.33 KB, text/plain)
2006-11-16 19:12 EST, Dimi Paun
no flags Details
Diff between working (scsound.log-2.6.17-1.2187-FC5) and broken (scsound.log-2.6.18-1.2200-fc5) system-config-soundcard output on FC5 (8.12 KB, patch)
2006-11-16 19:15 EST, Dimi Paun
no flags Details | Diff

  None (edit)
Description Dimi Paun 2006-11-16 19:07:19 EST
Description of problem:
Sound stopped working on a Intel 82801EB/ER (ICH5/ICH5R) AC'97 Audio Controller.
It works on FC5 with the 2.6.17-1.2187-FC5 kernel, it stopped workin on FC5 when
the kernel was updated to 2.6.18-1.2200-fc5, and it still does not work on FC6
with a 2.6.18-1.2798.fc6PAE kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1. Start system-config-soundcard
2. Try to play sample sound
3. Doesn't work
  
Actual results:
No sound.

Expected results:
Sound should work, it's a very common sound card that worked just
fine a few kernel releases ago.

Additional info:
I also have a Plantronics USB headset (using snd-usb-audio) 
that works just fine.
Comment 1 Dimi Paun 2006-11-16 19:10:37 EST
Created attachment 141428 [details]
Output of system-config-soundcard with kernel 2.6.17-1.2187-FC5 on FC5,  sound OK
Comment 2 Dimi Paun 2006-11-16 19:11:42 EST
Created attachment 141429 [details]
Output of system-config-soundcard with kernel 2.6.18-1.2200-fc5 on FC5,  sound ABSENT
Comment 3 Dimi Paun 2006-11-16 19:12:44 EST
Created attachment 141430 [details]
Output of system-config-soundcard with kernel 2.6.18-1.2798.fc6PAE on FC6,  sound ABSENT
Comment 4 Dimi Paun 2006-11-16 19:15:33 EST
Created attachment 141433 [details]
Diff between working (scsound.log-2.6.17-1.2187-FC5) and broken (scsound.log-2.6.18-1.2200-fc5) system-config-soundcard output on FC5
Comment 5 Simon Goodall 2006-12-08 10:55:30 EST
I also have no audio on two different intel desktop machines running FC6.
sytem-config-sound shows the audio device but has no pcm devices.

One is a "Intel 82801G (ICH7 Family) High Definition Audio Controller.". Not
sure what the other one is offhand.

I also have an intel based laptop containing a "Intel Corp. 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller" card that does work.
Comment 6 Martin Stransky 2006-12-08 11:01:39 EST
Please be patient, new drivers for FC6 are on the way...
Comment 7 Martin Stransky 2006-12-14 06:01:24 EST
The new drivers are here, could you please check them? (ALSA 1.0.14rc1)
How-to is here:

http://people.redhat.com/stransky/alsa/
Comment 8 Dimi Paun 2006-12-14 22:42:43 EST
I can do so, but please provide a yum repository from which I can simply fetch
the compiled kernel + drivers. Just like Ingo does for the -rt kernels :)
Comment 9 Penelope Fudd 2007-01-09 20:17:03 EST
Problem present with kernel 2.6.18-1.2869.fc6; just going to go try
http://people.redhat.com/stransky/alsa/ now.
Comment 10 Penelope Fudd 2007-01-09 20:40:39 EST
That fixed it!  Thanks!

I only had to 'configure;make;make install' this package:
http://people.redhat.com/stransky/alsa/alsa-driver-1.0.14rc1.tar.bz2

Note, there was a compiler warning:

  CC [M]  /xyzzy/alsa-driver-1.0.14rc1/src/pci/pcxhr/pcxhr.o
/xyzzy/alsa-driver-1.0.14rc1/src/pci/pcxhr/../../alsa-kernel/pci/pcxhr/pcxhr.c:
In function ‘pcxhr_trigger’:
/xyzzy/alsa-driver-1.0.14rc1/src/pci/pcxhr/../../alsa-kernel/pci/pcxhr/pcxhr.c:640:
warning: ‘stream’ may be used uninitialized in this function
Comment 11 Penelope Fudd 2007-01-09 21:55:39 EST
ARgh.. the new driver has generated an Ooops shortly after rebooting:

BUG: unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
f8991c0d
*pde = 1f548067
Oops: 0000 [#1]
SMP 
last sysfs file: /devices/pci0000:00/0000:00:1e.0/0000:02:09.0/irq
Modules linked in: autofs4 ip_conntrack_netbios_ns ipt_REJECT xt_state
ip_conntrack nfnetlink iptable_filter ip_tables ip6t_REJECT xt_tcpudp
ip6table_filter ip6_tables x_tables vfat fat loop dm_multipath video sbs i2c_ec
button battery asus_acpi ac ipv6 parport_pc lp parport sd_mod sg snd_intel8x0(U)
snd_ac97_codec(U) snd_ac97_bus(U) snd_usb_audio(U) snd_seq_dummy(U)
snd_seq_oss(U) snd_seq_midi_event(U) floppy snd_seq(U) snd_pcm_oss(U)
snd_mixer_oss(U) snd_pcm(U) nvidia(U) snd_timer(U) i2c_i801 i2c_core pcspkr e100
snd_usb_lib(U) snd_rawmidi(U) snd_seq_device(U) snd_page_alloc(U) mii
snd_hwdep(U) snd(U) soundcore quickcam(U) videodev ide_cd v4l1_compat cdrom
v4l2_common serio_raw usblp usb_storage scsi_mod dm_snapshot dm_zero dm_mirror
dm_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
CPU:    1
EIP:    0060:[<f8991c0d>]    Tainted: P      VLI
EFLAGS: 00010246   (2.6.18-1.2869.fc6 #1) 
EIP is at snd_interval_list+0x21/0xa6 [snd_pcm]
eax: d7757d28   ebx: d7757d28   ecx: 00000000   edx: 00000000
esi: ffffffff   edi: d7757c00   ebp: 00000000   esp: e008bcdc
ds: 007b   es: 007b   ss: 0068
Process firefox-bin (pid: 7806, ti=e008b000 task=ec5fb9f0 task.ti=e008b000)
Stack: e008bdf8 d7757c00 d7757c00 e008be20 f8993a55 00000000 d77146e0 00000017 
       f898fcb0 00000002 00000003 00000004 00000005 00000006 00000007 00000008 
       00000009 0000000a 0000000b 0000000c 0000000d 0000000e 0000000f 00000010 
Call Trace:
 [<f8993a55>] snd_pcm_hw_rule_list+0x25/0x29 [snd_pcm]
 [<f898fcb0>] snd_pcm_hw_refine+0x260/0x3b5 [snd_pcm]
 [<f89a30e1>] snd_pcm_oss_change_params+0x1fe/0xd94 [snd_pcm_oss]
 [<f89a3fd3>] snd_pcm_oss_get_active_substream+0x34/0x4c [snd_pcm_oss]
 [<f89a401b>] snd_pcm_oss_get_formats+0x10/0xfc [snd_pcm_oss]
 [<f89a50e7>] snd_pcm_oss_ioctl+0x366/0x9c4 [snd_pcm_oss]
 [<c047f1d7>] do_ioctl+0x1f/0x62
 [<c047f464>] vfs_ioctl+0x24a/0x25c
 [<c047f4c2>] sys_ioctl+0x4c/0x66
 [<c0404013>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:
 =======================
Code: 83 c4 3c 89 c8 5b 5e 5f 5d c3 55 57 56 89 d6 53 8b 6c 24 14 89 ca 89 c3 31
c9 eb 21 85 ed 74 0b b8 01 00 00 00 d3 e0 85 c5 74 11 <8b> 04 8a 39 03 75 08 f6
43 08 01 75 04 eb 16 72 07 41 39 f1 75 
EIP: [<f8991c0d>] snd_interval_list+0x21/0xa6 [snd_pcm] SS:ESP 0068:e008bcdc
Comment 12 Martin Stransky 2007-01-10 04:06:52 EST
(In reply to comment #11)
> ARgh.. the new driver has generated an Ooops shortly after rebooting:
> 

Please report it to ALSA project (www.alsa-project.org) and attach this info there.
Comment 13 Rafael Ávila de Espíndola 2007-01-11 07:24:28 EST
I have a

00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)

Updating to 1.0.14rc1 didn't solve the problem, but now I have more informative
messages:

ACPI: PCI interrupt for device 0000:00:1f.5 disabled
ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 17 (level, low) -> IRQ 21
PCI: Setting latency timer of device 0000:00:1f.5 to 64
ALSA /home/rafael/alsa-driver-1.0.14rc1/pci/ac97/ac97_codec.c:2108: AC'97 0
analog subsections not ready
intel8x0_measure_ac97_clock: measured 51676 usecs
intel8x0: clocking to 48000
Comment 14 Martin Stransky 2007-01-11 07:39:52 EST
(In reply to comment #13)
> I have a
> 
> 00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
> AC'97 Audio Controller (rev 02)
> 
> Updating to 1.0.14rc1 didn't solve the problem, but now I have more informative
> messages:
> 
> ACPI: PCI interrupt for device 0000:00:1f.5 disabled
> ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 17 (level, low) -> IRQ 21
> PCI: Setting latency timer of device 0000:00:1f.5 to 64
> ALSA /home/rafael/alsa-driver-1.0.14rc1/pci/ac97/ac97_codec.c:2108: AC'97 0
> analog subsections not ready
> intel8x0_measure_ac97_clock: measured 51676 usecs
> intel8x0: clocking to 48000

Please report it to ALSA project (www.alsa-project.org)

Note You need to log in before you can comment on or make changes to this bug.